Subject: bug#16084: closed (Re: bug#16084: 24.3.50; Modeline update problem)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Dec 2013 09:58:04 +0000

Your bug report

#16084: 24.3.50; Modeline update problem

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16084: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16084
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16084: 24.3.50; Modeline update problem
From: martin rudalics <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Dec 2013 10:57:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> I believe it should be fixed now, thank you,

Confirmed.  Thanks for the fix.

martin

Subject: 24.3.50; Modeline update problem
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Sat, 07 Dec 2013 13:23:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With emacs -Q for today's trunk insert the following text into *scratch*
and eval the buffer.

(switch-to-buffer (get-buffer-create "buffer-1"))

(defun foo ()
   (interactive)
   (cond
    ((equal (buffer-name) "buffer-1")
     (switch-to-buffer (get-buffer-create "buffer-2")))
    ((equal (buffer-name) "buffer-2")
     (switch-to-buffer (get-buffer-create "buffer-3")))
    ((equal (buffer-name) "buffer-3")
     (switch-to-buffer (get-buffer-create "buffer-1")))))

(global-set-key [(control .)] 'foo)

Now typing C-. updates the modeline only the first time one of these
buffers is displayed.  After that, the modeline sticks to buffer-3 here.
If I now modify the current buffer, the modeline changes again but
ceases to do so the next time the buffer is displayed.

Instead of C-. I can also use menu-bar-select-buffer-function.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
  of 2013-12-07 on MACHNO
Bzr revision: 115403 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600

martin